%define upstream_name    Template-Preprocessor-TTML
%define upstream_version 0.0105

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Process command line arguments
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Template)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The constructor accepts argv as argument, and is destructible to it. It
returns a results object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}
# See https://wiki.mageia.org/en/Perl_policy#Executables
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_bindir}/ttml
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.10.500-3.mga10
+ Revision: 2205980
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.10.500-2.mga9
+ Revision: 1812585
- Mageia 9 Mass Rebuild

* Mon Apr 13 2020 shlomif <shlomif> 0.10.500-1.mga8
+ Revision: 1567192
- update to 0.0105

* Mon Apr 06 2020 shlomif <shlomif> 0.10.400-1.mga8
+ Revision: 1565322
- update to 0.0104

* Wed Feb 12 2020 umeabot <umeabot> 0.10.300-4.mga8
+ Revision: 1497298
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.10.300-3.mga7
+ Revision: 1271619
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.10.300-2.mga6
+ Revision: 1033909
- Rebuild for perl 5.22.2

* Mon Jan 04 2016 shlomif <shlomif> 0.10.300-1.mga6
+ Revision: 919521
- update to 0.0103

* Fri Jun 26 2015 shlomif <shlomif> 0.10.200-1.mga6
+ Revision: 844389
- New version 0.0102

* Sun Oct 19 2014 umeabot <umeabot> 0.10.100-5.mga5
+ Revision: 790644
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.10.100-4.mga5
+ Revision: 745192
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.100-3.mga5
+ Revision: 686352
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.10.100-2.mga5
+ Revision: 582056
- Make the sha-bang permanent

* Tue Feb 04 2014 shlomif <shlomif> 0.10.100-1.mga5
+ Revision: 582010
- imported package perl-Template-Preprocessor-TTML


* Tue Feb 04 2014 cpan2dist 0.0101-1mga
- initial mageia release, generated with cpan2dist
